Loading...
Searching...
No Matches
nc4info.c File Reference
`#include "config.h"`
`#include "nc4internal.h"`
`#include "hdf5internal.h"`
`#include "nc_provenance.h"`
`#include "nclist.h"`
`#include "ncbytes.h"`
Include dependency graph for nc4info.c:

Go to the source code of this file.

## Macros

#define | ESCAPECHARS "\\=|,"
#define | HCHECK(expr)
#define | HDF5_MAX_NAME 1024
| HDF5 max name.
#define | NCHECK(expr)
#define | NCPROPS_MAX_NAME 1024 /* max key name size */
#define | NCPROPS_MAX_VALUE 1024 /* max value size */

## Functions

int | NC4_clear_provenance (NC4_Provenance *prov)
int | NC4_new_provenance (NC_FILE_INFO_T *file)
int | NC4_provenance_finalize (void)
int | NC4_provenance_init (void)
static int | NC4_read_ncproperties (NC_FILE_INFO_T *h5, char **propstring)
int | NC4_read_provenance (NC_FILE_INFO_T *file)
static int | NC4_write_ncproperties (NC_FILE_INFO_T *h5)
int | NC4_write_provenance (NC_FILE_INFO_T *file)
void | ncprintprovenance (NC4_Provenance *info)

## Variables

static int | globalpropinitialized = 0
static NC4_Provenance | globalprovenance

## Macro Definition Documentation

## ESCAPECHARS

#define ESCAPECHARS "\\=|,"

Definition at line 27 of file nc4info.c.

## HCHECK

#define HCHECK | ( |  | expr | ) |

Value:
{if((expr)<0) {ncstat = NC_EHDFERR; goto done;}}
NC_EHDFERR
#define NC_EHDFERR
Error at HDF5 layer.
Definition netcdf.h:491

Definition at line 33 of file nc4info.c.

## HDF5_MAX_NAME

#define HDF5_MAX_NAME 1024

HDF5 max name.

Definition at line 25 of file nc4info.c.

## NCHECK

#define NCHECK | ( |  | expr | ) |

Value:
{if((expr)!=NC_NOERR) {goto done;}}
NC_NOERR
#define NC_NOERR
No Error.
Definition netcdf.h:378

Definition at line 30 of file nc4info.c.

## NCPROPS_MAX_NAME

#define NCPROPS_MAX_NAME 1024 /* max key name size */

Definition at line 23 of file nc4info.c.

## NCPROPS_MAX_VALUE

#define NCPROPS_MAX_VALUE 1024 /* max value size */

Definition at line 24 of file nc4info.c.

## Function Documentation

## NC4_clear_provenance()

int NC4_clear_provenance | ( | NC4_Provenance * | prov | ) |

Definition at line 408 of file nc4info.c.

## NC4_new_provenance()

int NC4_new_provenance | ( | NC_FILE_INFO_T * | file | ) |

Definition at line 140 of file nc4info.c.

## NC4_provenance_finalize()

int NC4_provenance_finalize | ( | void |  | ) |

Definition at line 121 of file nc4info.c.

## NC4_provenance_init()

int NC4_provenance_init | ( | void |  | ) |

Definition at line 51 of file nc4info.c.

## NC4_read_ncproperties()

int NC4_read_ncproperties | ( | NC_FILE_INFO_T * | h5,
|  | char ** | propstring )

static

Definition at line 240 of file nc4info.c.

## NC4_read_provenance()

int NC4_read_provenance | ( | NC_FILE_INFO_T * | file | ) |

Definition at line 184 of file nc4info.c.

## NC4_write_ncproperties()

int NC4_write_ncproperties | ( | NC_FILE_INFO_T * | h5 | ) |

static

SUPPRESSNCPROPERTY

SUPPRESSNCPROPERTY

Definition at line 303 of file nc4info.c.

## NC4_write_provenance()

int NC4_write_provenance | ( | NC_FILE_INFO_T * | file | ) |

Definition at line 229 of file nc4info.c.

## ncprintprovenance()

void ncprintprovenance | ( | NC4_Provenance * | info | ) |

Definition at line 389 of file nc4info.c.

## Variable Documentation

## globalpropinitialized

int globalpropinitialized = 0

static

Definition at line 38 of file nc4info.c.

## globalprovenance

NC4_Provenance globalprovenance

static

Definition at line 39 of file nc4info.c.